Index: src/Fragmentation/AdaptivityMap.cpp
===================================================================
--- src/Fragmentation/AdaptivityMap.cpp	(revision eddab7632c72ecae12f102c1ef788e1d5ce92721)
+++ src/Fragmentation/AdaptivityMap.cpp	(revision a2a2f74e1b5173a3e4d4090d8ec2a57e0f765552)
@@ -205,5 +205,5 @@
       runner != enditer; ++runner) {
     const int No = (*runner).second.first;
-    const atom *Walker = mol->FindAtom(No);
+//    const atom *Walker = mol->FindAtom(No);
     LOG(2, "Root " << No << " is already below threshold (10^{" << Order <<"}: " << runner->first << ", setting entry " << No << " of Atom mask to false.");
     AtomMask.setFalse(No);
Index: src/Fragmentation/BondsPerShortestPath.cpp
===================================================================
--- src/Fragmentation/BondsPerShortestPath.cpp	(revision eddab7632c72ecae12f102c1ef788e1d5ce92721)
+++ src/Fragmentation/BondsPerShortestPath.cpp	(revision a2a2f74e1b5173a3e4d4090d8ec2a57e0f765552)
@@ -133,5 +133,5 @@
   // In another picture, the bonds always contain a direction by rightatom being the one more distant from root and hence
   // naturally leftatom forming its predecessor, preventing the BFS"seeker" from continuing in the wrong direction.
-  int AtomKeyNr = -1;
+//  int AtomKeyNr = -1;
   atom *Walker = NULL;
   atom *OtherWalker = NULL;
@@ -162,5 +162,5 @@
       Walker = (*CurrentEdge)->rightatom;    // rightatom is always the one more distant
       Predecessor = (*CurrentEdge)->leftatom;    // ... and leftatom is predecessor
-      AtomKeyNr = Walker->getNr();
+//      AtomKeyNr = Walker->getNr();
       LOG(1, "INFO: Current Walker is: " << *Walker << " with nr " << Walker->getNr() << " and SP of " << SP << ", with " << RemainingWalkers << " remaining walkers on this level.");
       // check for new sp level
Index: src/Fragmentation/Exporters/ExportGraph.cpp
===================================================================
--- src/Fragmentation/Exporters/ExportGraph.cpp	(revision eddab7632c72ecae12f102c1ef788e1d5ce92721)
+++ src/Fragmentation/Exporters/ExportGraph.cpp	(revision a2a2f74e1b5173a3e4d4090d8ec2a57e0f765552)
@@ -60,8 +60,8 @@
   const enum HydrogenSaturation _saturation) :
   TotalGraph(_graph),
-  CurrentKeySet(TotalGraph.begin()),
   BondFragments(World::getPointer()),
   treatment(_treatment),
-  saturation(_saturation)
+  saturation(_saturation),
+  CurrentKeySet(TotalGraph.begin())
 {
 }
Index: src/Fragmentation/Fragmentation.cpp
===================================================================
--- src/Fragmentation/Fragmentation.cpp	(revision eddab7632c72ecae12f102c1ef788e1d5ce92721)
+++ src/Fragmentation/Fragmentation.cpp	(revision a2a2f74e1b5173a3e4d4090d8ec2a57e0f765552)
@@ -235,7 +235,7 @@
   Info FunctionInfo(__func__);
   std::vector<Graph*> *FragmentLowerOrdersList = NULL;
-  int NumLevels = 0;
-  int NumMolecules = 0;
-  int TotalNumMolecules = 0;
+  size_t NumLevels = 0;
+//  size_t NumMolecules = 0;
+  size_t TotalNumMolecules = 0;
   int *NumMoleculesOfOrder = NULL;
   int Order = 0;
@@ -296,7 +296,7 @@
       // output resulting number
       LOG(1, "INFO: Number of resulting KeySets is: " << NumMoleculesOfOrder[RootNr] << ".");
-      if (NumMoleculesOfOrder[RootNr] != 0) {
-        NumMolecules = 0;
-      }
+//      if (NumMoleculesOfOrder[RootNr] != 0) {
+//        NumMolecules = 0;
+//      }
       // now, we have completely filled each cell of FragmentLowerOrdersList[] for the current Walker->AdaptiveOrder
       //NumMoleculesOfOrder[Walker->AdaptiveOrder-1] = NumMolecules;
@@ -441,4 +441,5 @@
   }
   LOG(1, output.str());
+  return true;
 };
 
Index: src/Fragmentation/Homology/FragmentEdge.cpp
===================================================================
--- src/Fragmentation/Homology/FragmentEdge.cpp	(revision eddab7632c72ecae12f102c1ef788e1d5ce92721)
+++ src/Fragmentation/Homology/FragmentEdge.cpp	(revision a2a2f74e1b5173a3e4d4090d8ec2a57e0f765552)
@@ -124,5 +124,5 @@
 }
 
-
-// we need to explicitly instantiate the serialization functions
-BOOST_CLASS_EXPORT_IMPLEMENT(FragmentEdge)
+//
+//// we need to explicitly instantiate the serialization functions
+//BOOST_CLASS_EXPORT_IMPLEMENT(FragmentEdge)
Index: src/Fragmentation/Homology/FragmentNode.cpp
===================================================================
--- src/Fragmentation/Homology/FragmentNode.cpp	(revision eddab7632c72ecae12f102c1ef788e1d5ce92721)
+++ src/Fragmentation/Homology/FragmentNode.cpp	(revision a2a2f74e1b5173a3e4d4090d8ec2a57e0f765552)
@@ -108,5 +108,5 @@
 }
 
-
-// we need to explicitly instantiate the serialization functions
-BOOST_CLASS_EXPORT_IMPLEMENT(FragmentNode)
+//
+//// we need to explicitly instantiate the serialization functions
+//BOOST_CLASS_EXPORT_IMPLEMENT(FragmentNode)
Index: src/Fragmentation/Homology/HomologyContainer.hpp
===================================================================
--- src/Fragmentation/Homology/HomologyContainer.hpp	(revision eddab7632c72ecae12f102c1ef788e1d5ce92721)
+++ src/Fragmentation/Homology/HomologyContainer.hpp	(revision a2a2f74e1b5173a3e4d4090d8ec2a57e0f765552)
@@ -19,4 +19,5 @@
 #include <boost/serialization/split_member.hpp>
 #include <boost/serialization/vector.hpp>
+#include <boost/serialization/version.hpp>
 
 #include <iosfwd>
Index: src/Fragmentation/Homology/HomologyGraph.cpp
===================================================================
--- src/Fragmentation/Homology/HomologyGraph.cpp	(revision eddab7632c72ecae12f102c1ef788e1d5ce92721)
+++ src/Fragmentation/Homology/HomologyGraph.cpp	(revision a2a2f74e1b5173a3e4d4090d8ec2a57e0f765552)
@@ -153,5 +153,5 @@
 }
 
-// we need to explicitly instantiate the serialization functions
-BOOST_CLASS_EXPORT_IMPLEMENT(HomologyGraph)
-
+//
+//// we need to explicitly instantiate the serialization functions
+//BOOST_CLASS_EXPORT_IMPLEMENT(HomologyGraph)
Index: src/Fragmentation/Homology/unittests/stubs/FragmentStub.cpp
===================================================================
--- src/Fragmentation/Homology/unittests/stubs/FragmentStub.cpp	(revision eddab7632c72ecae12f102c1ef788e1d5ce92721)
+++ src/Fragmentation/Homology/unittests/stubs/FragmentStub.cpp	(revision a2a2f74e1b5173a3e4d4090d8ec2a57e0f765552)
@@ -126,6 +126,7 @@
 //  static bool Fragment::isPositionEqual(const position_t &a, const position_t &b);
 
-// we need to explicitly instantiate the serialization functions
-BOOST_CLASS_EXPORT_IMPLEMENT(Fragment)
+//
+//// we need to explicitly instantiate the serialization functions
+//BOOST_CLASS_EXPORT_IMPLEMENT(Fragment)
 
 /** Equality operator for two nuclei.
Index: src/Fragmentation/Summation/Containers/FragmentationResultContainer.hpp
===================================================================
--- src/Fragmentation/Summation/Containers/FragmentationResultContainer.hpp	(revision eddab7632c72ecae12f102c1ef788e1d5ce92721)
+++ src/Fragmentation/Summation/Containers/FragmentationResultContainer.hpp	(revision a2a2f74e1b5173a3e4d4090d8ec2a57e0f765552)
@@ -15,4 +15,7 @@
 
 #include <boost/serialization/access.hpp>
+#include <boost/serialization/map.hpp>
+#include <boost/serialization/split_member.hpp>
+#include <boost/serialization/version.hpp>
 #include "CodePatterns/Singleton.hpp"
 
@@ -167,5 +170,21 @@
   // serialization
   template <typename Archive>
-  void serialize(Archive& ar, const unsigned int version)
+  void load(Archive& ar, const unsigned int version)
+  {
+    OBSERVE;
+    ar & ResultsType;
+    ar & keysets;
+    ar & forcekeysets;
+    ar & shortrangedata;
+    if (version > 0)
+      ar & cycles;
+    if (version > 1)
+      ar & summedshortrange;
+#ifdef HAVE_VMG
+    ar & longrangedata;
+#endif
+  }
+  template <typename Archive>
+  void save(Archive& ar, const unsigned int version) const
   {
     ar & ResultsType;
@@ -181,4 +200,5 @@
 #endif
   }
+  BOOST_SERIALIZATION_SPLIT_MEMBER()
 };
 
Index: src/Fragmentation/Summation/Containers/MPQCData.hpp
===================================================================
--- src/Fragmentation/Summation/Containers/MPQCData.hpp	(revision eddab7632c72ecae12f102c1ef788e1d5ce92721)
+++ src/Fragmentation/Summation/Containers/MPQCData.hpp	(revision a2a2f74e1b5173a3e4d4090d8ec2a57e0f765552)
@@ -16,4 +16,5 @@
 #include <boost/serialization/access.hpp>
 #include <boost/serialization/vector.hpp>
+#include <boost/serialization/version.hpp>
 
 #include <iosfwd>
Index: src/Fragmentation/Summation/IndexSetContainer.cpp
===================================================================
--- src/Fragmentation/Summation/IndexSetContainer.cpp	(revision eddab7632c72ecae12f102c1ef788e1d5ce92721)
+++ src/Fragmentation/Summation/IndexSetContainer.cpp	(revision a2a2f74e1b5173a3e4d4090d8ec2a57e0f765552)
@@ -70,5 +70,5 @@
     for(IndexSet::const_iterator keyiter = (*iter).begin();
         keyiter != (*iter).end(); ++keyiter) {
-      if (*keyiter != -1)
+      if (*keyiter != (size_t)-1)
         _AllIndices->insert((Index_t)*keyiter);
     }
@@ -86,5 +86,5 @@
     for(IndexSet::const_iterator keyiter = (*iter)->begin();
         keyiter != (*iter)->end(); ++keyiter) {
-      if (*keyiter != -1)
+      if (*keyiter != (size_t)-1)
         _AllIndices->insert((Index_t)*keyiter);
     }
Index: src/Fragmentation/Summation/SetValues/Fragment.cpp
===================================================================
--- src/Fragmentation/Summation/SetValues/Fragment.cpp	(revision eddab7632c72ecae12f102c1ef788e1d5ce92721)
+++ src/Fragmentation/Summation/SetValues/Fragment.cpp	(revision a2a2f74e1b5173a3e4d4090d8ec2a57e0f765552)
@@ -195,5 +195,6 @@
 }
 
-
-// we need to explicitly instantiate the serialization functions
-BOOST_CLASS_EXPORT_IMPLEMENT(Fragment)
+// below is not needed as we have above static ZeroInstace instantiating the code
+
+//// we need to explicitly instantiate the serialization functions
+//BOOST_CLASS_EXPORT_IMPLEMENT(Fragment)
Index: src/Fragmentation/Summation/SetValues/unittests/EigenvaluesUnitTest.cpp
===================================================================
--- src/Fragmentation/Summation/SetValues/unittests/EigenvaluesUnitTest.cpp	(revision eddab7632c72ecae12f102c1ef788e1d5ce92721)
+++ src/Fragmentation/Summation/SetValues/unittests/EigenvaluesUnitTest.cpp	(revision a2a2f74e1b5173a3e4d4090d8ec2a57e0f765552)
@@ -170,5 +170,5 @@
     const size_t othersubtractedsize = otherev.subtractedsamples.size();
     const size_t addedsize = ev->addedsamples.size();
-    const size_t subtractedsize = ev->subtractedsamples.size();
+//    const size_t subtractedsize = ev->subtractedsamples.size();
     *ev -= otherev;
     // otherev did not change
@@ -193,5 +193,5 @@
     const size_t othersubtractedsize = otherev.subtractedsamples.size();
     const size_t addedsize = ev->addedsamples.size();
-    const size_t subtractedsize = ev->subtractedsamples.size();
+//    const size_t subtractedsize = ev->subtractedsamples.size();
     *ev -= otherev;
     // otherev did not change
Index: src/Fragmentation/fragmentation_helpers.cpp
===================================================================
--- src/Fragmentation/fragmentation_helpers.cpp	(revision eddab7632c72ecae12f102c1ef788e1d5ce92721)
+++ src/Fragmentation/fragmentation_helpers.cpp	(revision a2a2f74e1b5173a3e4d4090d8ec2a57e0f765552)
@@ -92,5 +92,5 @@
   int StartNr = 0;
   int counter = 0;
-  int NumLevels = 0;
+  size_t NumLevels = 0;
   atom *Walker = NULL;
 
@@ -106,5 +106,5 @@
     ASSERT( NumLevels == FragmentLowerOrdersList[RootNr].size(),
         "CombineAllOrderListIntoOne() - differing size and NumLevels.");
-    for(int i=0;i<NumLevels;i++) {
+    for(size_t i=0;i<NumLevels;i++) {
       if (FragmentLowerOrdersList[RootNr][i] != NULL) {
         FragmentList.InsertGraph((*FragmentLowerOrdersList[RootNr][i]), counter);
